aboutsummaryrefslogtreecommitdiffstats
path: root/Tools
diff options
context:
space:
mode:
authorvd <vd@FreeBSD.org>2006-12-20 21:18:25 +0800
committervd <vd@FreeBSD.org>2006-12-20 21:18:25 +0800
commit09886695efb7af3f47a556088d3f6ddc9cc70342 (patch)
tree25e61a7ef7333bd0797670c7a431b21e9a373bb6 /Tools
parentb88883c524a8742b059657139a33f56754ffe3bc (diff)
downloadfreebsd-ports-gnome-09886695efb7af3f47a556088d3f6ddc9cc70342.tar.gz
freebsd-ports-gnome-09886695efb7af3f47a556088d3f6ddc9cc70342.tar.zst
freebsd-ports-gnome-09886695efb7af3f47a556088d3f6ddc9cc70342.zip
Query Gnats for PRs by using the query-pr command on freefall instead of the
web-interface becase the later is not reliable.
Diffstat (limited to 'Tools')
-rwxr-xr-xTools/scripts/rmport24
1 files changed, 22 insertions, 2 deletions
diff --git a/Tools/scripts/rmport b/Tools/scripts/rmport
index 37339efe13d8..59e748b8ef6e 100755
--- a/Tools/scripts/rmport
+++ b/Tools/scripts/rmport
@@ -178,8 +178,8 @@ check_dep()
done
}
-# query GNATS, format and return the result
-get_PRs()
+# query GNATS via query-pr-summary.cgi, format and return the result
+get_PRs_www()
{
catport=${1}
synopsis=${2}
@@ -203,6 +203,26 @@ get_PRs()
|sort
}
+# query GNATS via query-pr on freefall and return the result
+get_PRs_freefall()
+{
+ catport=${1}
+ synopsis=${2}
+
+ log "${catport}: getting PRs having ${synopsis} in the synopsis"
+
+ ssh freefall.freebsd.org "query-pr -qx -y '${synopsis}' || :"
+}
+
+# query GNATS and return the result
+get_PRs()
+{
+ catport=${1}
+ synopsis=${2}
+
+ get_PRs_freefall ${catport} ${synopsis}
+}
+
# check if any PRs exist that are related to the port
check_PRs()
{